Menu

## BaseCharacterStat
in package
implements CharacterStatInterface

BaseCharacterStat.php : 9

Class BaseCharacterStat.

### Interfaces, Classes and Traits

CharacterStatInterface

### Table of Contents

$id : mixed
$name : mixed
$value : mixed
$weight : mixed
__construct() : mixed
  BaseCharacterStat constructor.
getId() : string
getName() : string
getValue() : mixed
getValueAsString() : string
getWeight() : int
setName() : mixed
setValue() : mixed
setWeight() : mixed

### Properties

#### $id

BaseCharacterStat.php : 11
`private mixed $id`

#### $name

BaseCharacterStat.php : 12
`private mixed $name`

#### $value

BaseCharacterStat.php : 13
`private mixed $value`

#### $weight

BaseCharacterStat.php : 14
`private mixed $weight`

### Methods

#### __construct()

BaseCharacterStat.php : 22

BaseCharacterStat constructor.

`public __construct(string $id, string $name, $value, int $weight) : mixed`

##### Parameters

$id : string
$name : string
$value :
$weight : int

##### Return values

mixed —

#### getId()

BaseCharacterStat.php : 31
`public getId() : string`

##### Tags

inheritdoc

##### Return values

string —

#### getName()

BaseCharacterStat.php : 37
`public getName() : string`

##### Tags

inheritdoc

##### Return values

string —

#### getValue()

BaseCharacterStat.php : 49
`public getValue() : mixed`

##### Tags

inheritdoc

##### Return values

mixed —

#### getValueAsString()

BaseCharacterStat.php : 61
`public getValueAsString() : string`

##### Tags

inheritdoc

##### Return values

string —

#### getWeight()

BaseCharacterStat.php : 73
`public getWeight() : int`

##### Tags

inheritdoc

##### Return values

int —

#### setName()

BaseCharacterStat.php : 43
`public setName(string $name) : mixed`

##### Parameters

$name : string

##### Tags

inheritdoc

##### Return values

mixed —

#### setValue()

BaseCharacterStat.php : 55
`public setValue(mixed $value) : mixed`

##### Parameters

$value : mixed

##### Tags

inheritdoc

##### Return values

mixed —

#### setWeight()

BaseCharacterStat.php : 67
`public setWeight(int $weight) : mixed`

##### Parameters

$weight : int

##### Tags

inheritdoc

##### Return values

mixed —

## Search results